WfTemplatesServiceImpl (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.server
Class WfTemplatesServiceImpl

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
                  com.google.gwt.user.server.rpc.RemoteServiceServlet
                      org.gcube.portlets.admin.wftemplates.server.WfTemplatesServiceImpl

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, WfTemplatesService

    public class WfTemplatesServiceImpl

extends com.google.gwt.user.server.rpc.RemoteServiceServlet
implements WfTemplatesService

`WfTemplatesServiceImpl` is the server side implementation of the RPC service.

Version:
  May 2011 (0.1)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`perThreadRequest, perThreadResponse`

Constructor Summary
`WfTemplatesServiceImpl()`

Method Summary
`Boolean` | `deleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete)`
`ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails>` | `getRoleDetails()`
`ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate>` | `getTemplates()`
`void` | `init()` init method
`Boolean` | `saveTemplate(String wfName, org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave)` saveTemplate into db as xml

Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet
`checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
`doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WfTemplatesServiceImpl

    public WfTemplatesServiceImpl()

Method Detail

### init

    public void init()

  init method

  Overrides:
    `init` in class `javax.servlet.GenericServlet`

### saveTemplate

    public Boolean saveTemplate(String wfName,
                                org.gcube.portlets.admin.wfdocslibrary.shared.WfGraph toSave)

  saveTemplate into db as xml

  Specified by:
    `saveTemplate` in interface `WfTemplatesService`

### getTemplates

    public ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate> getTemplates()

  Specified by:
    `getTemplates` in interface `WfTemplatesService`
  Returns:
    the list of wftemplates in the database with the payload

### getRoleDetails

    public ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> getRoleDetails()

  Specified by:
    `getRoleDetails` in interface `WfTemplatesService`
  Returns:
    all the wfroles present in the db

### deleteTemplate

    public Boolean deleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete)

  Specified by:
    `deleteTemplate` in interface `WfTemplatesService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.